Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.sftp
Class SftpSubsystemClient

    java.lang.Object
      com.sshtools.j2ssh.subsystem.SubsystemClient
          com.sshtools.j2ssh.sftp.SftpSubsystemClient

All Implemented Interfaces:
  java.lang.Runnable

public class SftpSubsystemClient
extends SubsystemClient

DOCUMENT ME!

Field Summary
`static int` | `OPEN_APPEND` DOCUMENT ME!
`static int` | `OPEN_CREATE` DOCUMENT ME!
`static int` | `OPEN_EXCLUSIVE` DOCUMENT ME!
`static int` | `OPEN_READ` DOCUMENT ME!
`static int` | `OPEN_TRUNCATE` DOCUMENT ME!
`static int` | `OPEN_WRITE` DOCUMENT ME!
`static int` | `VERSION_1` DOCUMENT ME!
`static int` | `VERSION_2` DOCUMENT ME!
`static int` | `VERSION_3` DOCUMENT ME!
`static int` | `VERSION_4` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.subsystem.SubsystemClient
`session`

Constructor Summary
`SftpSubsystemClient()` Creates a new SftpSubsystemClient object.

Method Summary
`protected long` | `availableWindowSpace()` DOCUMENT ME!
`void` | `changePermissions(SftpFile file, int permissions)` DOCUMENT ME!
`void` | `changePermissions(SftpFile file, java.lang.String permissions)` DOCUMENT ME!
`void` | `changePermissions(java.lang.String filename, int permissions)` DOCUMENT ME!
`void` | `changePermissions(java.lang.String filename, java.lang.String permissions)` DOCUMENT ME!
`void` | `closeFile(SftpFile file)` DOCUMENT ME!
`protected void` | `closeHandle(byte[] handle)` DOCUMENT ME!
`void` | `createSymbolicLink(java.lang.String targetpath, java.lang.String linkpath)` DOCUMENT ME!
`java.lang.String` | `getAbsolutePath(SftpFile file)` DOCUMENT ME!
`java.lang.String` | `getAbsolutePath(java.lang.String path)` DOCUMENT ME!
`FileAttributes` | `getAttributes(SftpFile file)` DOCUMENT ME!
`FileAttributes` | `getAttributes(java.lang.String path)` DOCUMENT ME!
`java.lang.String` | `getDefaultDirectory()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`java.lang.String` | `getSymbolicLinkTarget(java.lang.String linkpath)` DOCUMENT ME!
`protected boolean` | `initialize()` DOCUMENT ME!
`protected boolean` | `isValidHandle(byte[] handle)` DOCUMENT ME!
`int` | `listChildren(SftpFile file, java.util.List children)` DOCUMENT ME!
`void` | `makeDirectory(java.lang.String path)` DOCUMENT ME!
`protected long` | `maximumPacketSize()` DOCUMENT ME!
`protected boolean` | `onStart()` DOCUMENT ME!
`SftpFile` | `openDirectory(java.lang.String path)` DOCUMENT ME!
`SftpFile` | `openFile(java.lang.String filename, int flags)` DOCUMENT ME!
`SftpFile` | `openFile(java.lang.String absolutePath, int flags, FileAttributes attrs)` DOCUMENT ME!
`protected int` | `readFile(byte[] handle, UnsignedInteger64 offset, byte[] output, int off, int len)` DOCUMENT ME!
`void` | `recurseMakeDirectory(java.lang.String path)` DOCUMENT ME!
`void` | `removeDirectory(java.lang.String path)` DOCUMENT ME!
`void` | `removeFile(java.lang.String filename)` DOCUMENT ME!
`void` | `renameFile(java.lang.String oldpath, java.lang.String newpath)` DOCUMENT ME!
`void` | `setAttributes(SftpFile file, FileAttributes attrs)` DOCUMENT ME!
`void` | `setAttributes(java.lang.String path, FileAttributes attrs)` DOCUMENT ME!
`protected void` | `writeFile(byte[] handle, UnsignedInteger64 offset, byte[] data, int off, int len)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.subsystem.SubsystemClient
`getSessionChannel, isClosed, run, sendMessage, setSessionChannel, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPEN_READ

    public static final int OPEN_READ

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_WRITE

    public static final int OPEN_WRITE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_APPEND

    public static final int OPEN_APPEND

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_CREATE

    public static final int OPEN_CREATE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_TRUNCATE

    public static final int OPEN_TRUNCATE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### OPEN_EXCLUSIVE

    public static final int OPEN_EXCLUSIVE

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERSION_1

    public static final int VERSION_1

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERSION_2

    public static final int VERSION_2

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERSION_3

    public static final int VERSION_3

  DOCUMENT ME!

  See Also:
    Constant Field Values

### VERSION_4

    public static final int VERSION_4

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### SftpSubsystemClient

    public SftpSubsystemClient()

  Creates a new SftpSubsystemClient object.

Method Detail

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Overrides:
    `getName` in class `SubsystemClient`
  Returns:
    DOCUMENT ME!

### availableWindowSpace

    protected long availableWindowSpace()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### maximumPacketSize

    protected long maximumPacketSize()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### closeHandle

    protected void closeHandle(byte[] handle)
                        throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### closeFile

    public void closeFile(SftpFile file)
                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### isValidHandle

    protected boolean isValidHandle(byte[] handle)

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### listChildren

    public int listChildren(SftpFile file,
                            java.util.List children)
                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
    `children` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### makeDirectory

    public void makeDirectory(java.lang.String path)
                       throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### recurseMakeDirectory

    public void recurseMakeDirectory(java.lang.String path)
                              throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onStart

    protected boolean onStart()
                       throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onStart` in class `SubsystemClient`
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### openDirectory

    public SftpFile openDirectory(java.lang.String path)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getDefaultDirectory

    public java.lang.String getDefaultDirectory()
                                         throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getAbsolutePath

    public java.lang.String getAbsolutePath(java.lang.String path)
                                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getAbsolutePath

    public java.lang.String getAbsolutePath(SftpFile file)
                                     throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### openFile

    public SftpFile openFile(java.lang.String filename,
                             int flags)
                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `filename` - DOCUMENT ME!
    `flags` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### openFile

    public SftpFile openFile(java.lang.String absolutePath,
                             int flags,
                             FileAttributes attrs)
                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `absolutePath` - DOCUMENT ME!
    `flags` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getAttributes

    public FileAttributes getAttributes(java.lang.String path)
                                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getAttributes

    public FileAttributes getAttributes(SftpFile file)
                                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### readFile

    protected int readFile(byte[] handle,
                           UnsignedInteger64 offset,
                           byte[] output,
                           int off,
                           int len)
                    throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `output` - DOCUMENT ME!
    `off` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### removeDirectory

    public void removeDirectory(java.lang.String path)
                         throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### removeFile

    public void removeFile(java.lang.String filename)
                    throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `filename` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### renameFile

    public void renameFile(java.lang.String oldpath,
                           java.lang.String newpath)
                    throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `oldpath` - DOCUMENT ME!
    `newpath` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### writeFile

    protected void writeFile(byte[] handle,
                             UnsignedInteger64 offset,
                             byte[] data,
                             int off,
                             int len)
                      throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `handle` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `data` - DOCUMENT ME!
    `off` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### createSymbolicLink

    public void createSymbolicLink(java.lang.String targetpath,
                                   java.lang.String linkpath)
                            throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `targetpath` - DOCUMENT ME!
    `linkpath` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getSymbolicLinkTarget

    public java.lang.String getSymbolicLinkTarget(java.lang.String linkpath)
                                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `linkpath` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setAttributes

    public void setAttributes(java.lang.String path,
                              FileAttributes attrs)
                       throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `path` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setAttributes

    public void setAttributes(SftpFile file,
                              FileAttributes attrs)
                       throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### changePermissions

    public void changePermissions(SftpFile file,
                                  java.lang.String permissions)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
    `permissions` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### changePermissions

    public void changePermissions(SftpFile file,
                                  int permissions)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `file` - DOCUMENT ME!
    `permissions` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### changePermissions

    public void changePermissions(java.lang.String filename,
                                  int permissions)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `filename` - DOCUMENT ME!
    `permissions` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### changePermissions

    public void changePermissions(java.lang.String filename,
                                  java.lang.String permissions)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `filename` - DOCUMENT ME!
    `permissions` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### initialize

    protected boolean initialize()
                          throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD